# Python: module reprap.preferences

reprap.preferences | index /usr/lib/python2.5/site-packages/reprap/preferences.py

`RepRap preferences system. All preferences are accessed though this module.`

Modules

``

os | sys |  |

Classes

``

PreferenceHandler

class PreferenceHandler

``

Methods defined here:

__init__(self, prefOwner, fileName)
  `# prefOwner is object from which '.pref_*' attributes will be written to / read from`

load(self)
  `# Load preferences from file`

save(self)
  `# Save preferences to file`

Functions

``

getHomeDir()

Data
`` |  | __author__ = 'Stefan Blanke (greenarrow) (greenarrow@users.sourceforge.net)' __licence__ = '\npyRepRap is free software: you can redistribute...ap. If not, see <http://www.gnu.org/licenses/>.\n' __license__ = 'GPL 3.0'

Author
`` |  | Stefan Blanke (greenarrow) (greenarrow@users.sourceforge.net)